Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200708-10 ] MySQL: Denial of Service and information leakage
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1471

PostPosted: Thu Aug 16, 2007 5:26 pm    Post subject: [ GLSA 200708-10 ] MySQL: Denial of Service and information Reply with quote

Gentoo Linux Security Advisory

Title: MySQL: Denial of Service and information leakage (GLSA 200708-10)
Severity: normal
Exploitable: remote
Date: August 16, 2007
Bug(s): #185333
ID: 200708-10

Synopsis

A Denial of Service vulnerability and a table structure information leakage vulnerability were found in MySQL.

Background

MySQL is a popular multi-threaded, multi-user SQL server.

Affected Packages

Package: dev-db/mysql
Vulnerable: < 5.0.44
Unaffected: >= 5.0.44
Architectures: All supported architectures


Description

Dormando reported a vulnerability within the handling of password packets in the connection protocol (CVE-2007-3780). Andrei Elkin also found that the "CREATE TABLE LIKE" command didn't require SELECT privileges on the source table (CVE-2007-3781).

Impact

A remote unauthenticated attacker could use the first vulnerability to make the server crash. The second vulnerability can be used by authenticated users to obtain information on tables they are not normally able to access.

Workaround

There is no known workaround at this time.

Resolution

All MySQL users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=dev-db/mysql-5.0.44"


References

CVE-2007-3780
CVE-2007-3781
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum